Subject: Re: bug#65685: 29.1; Inconsistent behavior of quoted file name "/:~" across platforms

From: Eli Zaretskii <[email-masked]>
Date: Sat, 14 Oct 2023 22:07:41 +0300

> From: Michael Albinus <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Sat, 14 Oct 2023 18:48:16 +0200
> 
> >> The only difference I could think of is that the directory Emacs uses
> >> here has whitespace in its name (see my original report), whereas on
> >> Windows 10 it probably doesn't.
> >
> > FTR, if I use a directory with spaces in its name, it fails for me as
> > well. I'm now debugging ...
> 
> It looks, like it is a problem in the test case code
> itself. abbreviate-file-name does not work as I expect in this
> combination.

Can you tell more about this?  I'm surprised any file-related
primitive in Emacs cares about whitespace in file names.

> Well, since it isn't needed for the test, the appended patch has fixed
> it for me. Would you like to check?

I'd like to better understand the issue first.